.button {
    display: inline-block;
    padding: 16px 34px 14px; // 14px 34px 16px;
    border: 1px solid transparent;
    border-radius: 2px;
    font-family: $font-geometria;
    font-weight: 700;
    font-size: 15px;
    line-height: 1em;
    letter-spacing: -0.01em;
    text-decoration: none;
    text-align: center;
    color: black;
    background-color: white;
    outline: none;
    cursor: pointer;

    @include rfonts(15,15,14,13);

    @include xs {
        padding: 14px 30px 13px;
    }

    &:hover,
    &:focus,
    &:active {
        text-decoration: none;
        background-color: rgba($color: white, $alpha: 0.8);
    }

    &:active {
        background-color: rgba($color: white, $alpha: 0.5);
        color: rgba($color: black, $alpha: 0.6);
    }

    &--white {
        background-color: white;
        color: $dark-purple;
        border: 1px solid $dark-purple;

        &:hover,
        &:focus {
            // background-color: rgba($color: $light-purple, $alpha: 0.1);
            background-color: #F0EDF7;
            color: $dark-purple;
        }

        &:active {
            // background-color: rgba($color: $light-purple, $alpha: 0.2);
            background-color: #E1DBF0;
            color: rgba($color: $dark-purple, $alpha: 0.7)
        }
    }

    &--purple,
    &--ghost-purple,
    &--pink,
    &--ghost-pink {
        color: white;

        &:hover,
        &:focus {
            color: white;
        }

        &:active {
            color: rgba($color: white, $alpha: 0.7)
        }
    }

    &--purple,
    &--ghost-purple {
        background-color: $light-purple;

        &:hover,
        &:focus {
            background-color: #916DF0;
        }

        &:active {
            background-color: #522FAF;
        }
    }

    &--ghost-purple {
        background-color: white;
        color: $light-purple;
        border: 1px solid $light-purple;
    }

    &--pink,
    &--ghost-pink {
        background-color: $pink;
        
        &:hover,
        &:focus {
            background-color: #FF507B;
        }

        &:active {
            background-color: #EF144B;
        }
    }

    &--ghost-pink {
        background-color: white;
        color: $pink;
        border: 1px solid $pink;
    }

    &--dots {
        padding-right: 95px;
        &::after {
            content: "";
            position: absolute;
            align-self: center;
            background-image: url(../img/ui/button-dots.svg);
            background-repeat: no-repeat;
            width: 50px;
            height: 2px;
            top: 49%;
            right: 28px;
        }

        &.button--ghost-pink {
            &::after {
                background-image: url(../img/ui/button-dots-pink.svg);
            }
            
            &:hover::after,
            &:focus::after,
            &:active::after {
                background-image: url(../img/ui/button-dots.svg);
            }
        }

        &.button--ghost-purple {
            &::after {
                background-image: url(../img/ui/button-dots-purple.svg);
            }
            
            &:hover::after,
            &:focus::after,
            &:active::after {
                background-image: url(../img/ui/button-dots.svg);
            }
        }

        &.button--white {
            &::after {
                background-image: url(../img/ui/button-dots-purple.svg);
            }
        }

        &:active {
            &::after {
                opacity: 0.7;
            }
        }
    }

    &--small {
        font-size: 12px;
        line-height: (18/14);
        letter-spacing: normal;
        padding: 11px 15px 8px;
        font-weight: 500;
    }

    &--wide {
        padding-left: 85px;
        padding-right: 85px;
    }

    &--full {
        width: 100%;
        &.button--dots {
            text-align: left;
        }
    }

    .section--dark &--purple {
        @extend .button--white;
    }

    &--loading {
        color: transparent !important;

        &::after {
            opacity: 0;
        }

        &:before {
            content: " ";
            width: 24px;
            height: 24px;
            border-radius: 50%;
            position: absolute;
            left: 50%;
            top: 50%;
            margin: -12px 0px 0px -12px;
            border: 3px solid rgba(255,255,255,.5);
            border-bottom-color: white;
            animation: spin 1s linear infinite;
        }
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
